NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.Stock Class Reference

More...

Inheritance diagram for NXOpen.Routing.Stock:
NXOpen.NXObject NXOpen.Routing.ICharacteristic NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Routing.Filler NXOpen.Routing.Overstock NXOpen.Routing.StockTransition

Public Member Functions

unsafe void AddSegments (NXOpen.Curve[] segments)
 Adds new segments to this object. More...
 
unsafe void AlignStock (NXOpen.Vector3d vector)
 Align stock to new rotation vector. More...
 
unsafe void ColorBodies ()
 Colors the solid bodies of the stock based on the COLOR characteristic specified in the NXOpen.Routing.StockData of the stock. More...
 
unsafe bool ConnectStockComponentWithAssemblyPath ()
 If the stock components are disconnected from the path in the assembly this method will connect them again with the path. More...
 
unsafe void DeleteCharacterstics (NXOpen.Routing.CharacteristicList values)
 Removes the input list of characteristics from this object. More...
 
unsafe bool FixCrossSectionInvalidities ()
 If the stock has cross section invalidities this function corrects those. More...
 
unsafe NXOpen.Routing.Anchor GetAnchor ()
 Gets the NXOpen.Routing.Anchor that currently modifies the profile for the stock. More...
 
unsafe NXOpen.Body[] GetBodies ()
 Returns the solid bodies, if any, that are created and controlled by this object. More...
 
unsafe void GetBodySegmentMap (NXOpen.Features.Feature feature, out NXOpen.Body body, out NXOpen.Curve[] stockSegments, out NXOpen.Curve[] pathSegments)
 Given stock and a feature of the stock, returns solid body, stock segments and path segments that produced the body. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetCharacteristics ()
 Get all of the characteristics values on the this object. More...
 
unsafe NXOpen.Assemblies.Component GetComponent ()
 Returns the NXOpen.Assemblies.Component created and controlled by the stock for a Stock as Components stock. More...
 
unsafe NXOpen.Routing.CrossSection GetCrossSection ()
 Gets the NXOpen.Routing.CrossSection that currently defines the profile for the stock. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetDestinationCharacteristics ()
 Returns the destination characteristics from the input object. More...
 
unsafe NXOpen.Features.Feature[] GetFeatures ()
 Returns the sweep features that are created and controlled by this object. More...
 
unsafe NXOpen.Routing.Flip GetFlippedStatus ()
 Gets whether or not the profile is flipped. More...
 
unsafe
NXOpen.Routing.Electrical.HarnessDevice 
GetHarnessDevice ()
 For Routing Electrical application only, returns the Routing.Electrical.HarnessDevice that owns the wire or wires that make up a stock bundle. More...
 
unsafe int GetIntegerCharacteristic (string name)
 Get the value of an integer characteristic associated with the input name. More...
 
unsafe NXOpen.Routing.ComponentName GetNameStatus ()
 Returns whether or not the component associated with a Stock as Components Stock has a permanent or temporary name. More...
 
unsafe double GetOriginalLength ()
 Returns the original length for a stock that has been deformed (it's use is Routing.StockUse.Deformed ). More...
 
unsafe void GetPorts (out NXOpen.Routing.StockPort startPort, out NXOpen.Routing.StockPort endPort)
 Returns the NXOpen.Routing.StockPort at each end of the stock. More...
 
unsafe NXOpen.Routing.ProfileFrom GetProfileEnd ()
 Gets the end that defines profile. More...
 
unsafe double GetRealCharacteristic (string name)
 Get the value of a real characteristic associated with the input name. More...
 
unsafe double GetRotationAngle ()
 Gets the rotation angle applied to the profile. More...
 
unsafe NXOpen.Curve[] GetSegments ()
 Gets the segments that the NXOpen.Routing.Stock object is placed on top of. More...
 
unsafe NXOpen.Routing.StockData GetStockData ()
 Gets the NXOpen.Routing.StockData . More...
 
unsafe NXOpen.Routing.StockStyle GetStockStyle ()
 Gets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock . More...
 
unsafe NXOpen.Routing.StockUse GetStockUse ()
 Returns the use of the stock. More...
 
unsafe string GetStringCharacteristic (string name)
 Get the value of a string characteristic associated with the input name. More...
 
unsafe double GetTwistAngle ()
 Gets the twist angle applied to the profile. More...
 
unsafe bool IsSpaceReservation ()
 Is this stock a Space Reservation stock?. More...
 
unsafe void RemoveSegments (NXOpen.Curve[] segments)
 Removes segments from this object. More...
 
unsafe void RenameStockComponent (string partName)
 Renames the stock component part with given name More...
 
unsafe void SetAnchor (NXOpen.Routing.Anchor anchor)
 Sets the NXOpen.Routing.Anchor . More...
 
unsafe void SetCharacteristic (string name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, string value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic2 (string title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, string value)
 Sets or creates a string type type attribute associated with the input title. More...
 
unsafe void SetCharacteristics (NXOpen.Routing.CharacteristicList values)
 Set all of the characteristics values on this object. More...
 
unsafe void SetCharacteristics2 (NXOpen.Routing.CharacteristicList values)
 Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already. More...
 
unsafe void SetCrossSection (NXOpen.Routing.CrossSection crossSection)
 Sets the NXOpen.Routing.CrossSection . More...
 
unsafe void SetFlippedStatus (NXOpen.Routing.Flip flipped)
 Sets whether or not the profile is flipped. More...
 
unsafe void SetProfileEnd (NXOpen.Routing.ProfileFrom profileEnd)
 Sets the end that defines profile. More...
 
unsafe void SetRotationAngle (double rotationAngle)
 Sets the rotation angle applied to the profile. More...
 
unsafe void SetStockData (NXOpen.Routing.StockData stockData)
 Sets the NXOpen.Routing.StockData . More...
 
unsafe void SetStockStyle (NXOpen.Routing.StockStyle style)
 Sets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock . More...
 
unsafe void SetTwistAngle (double twistAngle)
 Sets the twist angle applied to the profile. More...
 
unsafe void SyncComponentAttrs (bool isNewPart)
 Set the characteristics of the given stock's component so that it has the same characteristics as the NXOpen.Routing.Stock and its stock data. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool NegateOffsetsFlag [get, set]
 Returns or sets the negate offsets flag of this NXOpen.Routing.Stock . More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

The NXOpen.Routing.Stock object represents a material (such as as pipe or tube) that covers a path of segments. The material is defined in the NXOpen.Routing.StockData object. NXOpen.Routing.Stock consists of a NXOpen.Routing.StockData object, as well as references to at most one of the NXOpen.Routing.CrossSection and NXOpen.Routing.Anchor objects that are associated with that NXOpen.Routing.StockData .

A NXOpen.Routing.Stock object may exist in one of two modes ; Legacy Stock or Stock as Components Stock. Legacy Stock is modeled as a sweep feature in the work part. Stock as Components Stock is modeled as a child component (of the work part) that contains a sweep feature. Legacy Stock and Stock as Components stock cannot exist in the same part file with the exception of Bundled stock.

Stock as Components Stock creates a component file, and creates a copy of itself inside of that part file. Segments, anchors, and all other necessary information are copied into the component part file. The stock inside of the component file should not be edited or modified as it is completely controlled by the Stock as Component Stock in the work part.

NXOpen.Routing.Stock object that have automatically been generated by the bundling algorithm used for routing wires are Bundled stock. Bundled stocks are always created as Legacy Stocks (even in parts containing Stock as Component stocks). Any NXOpen.Routing.StockData object that defines a bundled stock has a type of Routing.StockDataType.Bundled . Editing the segments or the stock data of a Bundled stock may result in undefined behavior.

With the exception of stock style, there are no functional differences between the two stock types. Stock as Components Stock always uses the NXOpen.Routing.StockStyle.Detailed style (if available, otherwise it uses the NXOpen.Routing.StockStyle.Simple style) and the stock's style cannot be changed.

Creator not available in KF because transient objects are not supported.

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.Routing.Stock.AddSegments ( NXOpen.Curve[]  segments)
inline

Adds new segments to this object.

If the new segments (added to the old segments) do not form a single continuous path, the NXOpen.Routing.Stock will split so that there is a copy of this object on each continuous path formed by the input segments.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentsList of segments to add. Ignores any segments that are already referenced by this object.
unsafe void NXOpen.Routing.Stock.AlignStock ( NXOpen.Vector3d  vector)
inline

Align stock to new rotation vector.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
vectorRotation vector.
unsafe void NXOpen.Routing.Stock.ColorBodies ( )
inline

Colors the solid bodies of the stock based on the COLOR characteristic specified in the NXOpen.Routing.StockData of the stock.

The color string can contain the name of a color, a hex string specifying the RGB values, a comma separated list of RGB integer values and a simple integer specifying the color index directly.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

unsafe bool NXOpen.Routing.Stock.ConnectStockComponentWithAssemblyPath ( )
inline

If the stock components are disconnected from the path in the assembly this method will connect them again with the path.

Created in NX12.0.2

License requirements: routing_base ("Routing Basic")

Returns
True if stock component was disconnected from the assembly path and connection has been restored. False otherwise.
unsafe void NXOpen.Routing.Stock.DeleteCharacterstics ( NXOpen.Routing.CharacteristicList  values)
inline

Removes the input list of characteristics from this object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
values

Implements NXOpen.Routing.ICharacteristic.

unsafe bool NXOpen.Routing.Stock.FixCrossSectionInvalidities ( )
inline

If the stock has cross section invalidities this function corrects those.

If the invalidity is fixed, the stock needs needs to be logged for update and update should be triggered.

Created in NX11.0.2

License requirements: routing_base ("Routing Basic")

Returns
Return true if the invalidity was found and fixed.
unsafe NXOpen.Routing.Anchor NXOpen.Routing.Stock.GetAnchor ( )
inline

Gets the NXOpen.Routing.Anchor that currently modifies the profile for the stock.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Returns a null reference (Nothing in Visual Basic) if this object isn't using an NXOpen.Routing.Anchor
unsafe NXOpen.Body [] NXOpen.Routing.Stock.GetBodies ( )
inline

Returns the solid bodies, if any, that are created and controlled by this object.

For Stock as Components stock, the bodies exist in a separate part file. For Legacy Stock the bodies exist in the same part as the input object.

Created in NX10.0.3

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.Stock.GetBodySegmentMap ( NXOpen.Features.Feature  feature,
out NXOpen.Body  body,
out NXOpen.Curve[]  stockSegments,
out NXOpen.Curve[]  pathSegments 
)
inline

Given stock and a feature of the stock, returns solid body, stock segments and path segments that produced the body.

Path segments are the visible segments over which the stock is created. Stock segments may be same as the path segments or those may be hidden segments created for the stock. In case of NXOpen.Routing.Overstock stockSegments are hidden and path segments are visible. There may be many stock segments created on a single path segment in that case. Usage: 1. Query features for a stock. If an overstock is applied on a path with a sharp corner, it may have created multiple features. 2.Call this method for every feature in a loop.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Parameters
featureStock sweep feature.
bodySolid body of the stock sweep.
stockSegmentsStock segments. Hidden segments in case of overstocks.
pathSegmentsPath segments. Same as stock segments for stock but visible path segments for overstock.
unsafe NXOpen.Routing.CharacteristicList NXOpen.Routing.Stock.GetCharacteristics ( )
inline

Get all of the characteristics values on the this object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe NXOpen.Assemblies.Component NXOpen.Routing.Stock.GetComponent ( )
inline

Returns the NXOpen.Assemblies.Component created and controlled by the stock for a Stock as Components stock.

Only returns a component if the stock type is Routing.StockUse.StockAsComponent .

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.CrossSection NXOpen.Routing.Stock.GetCrossSection ( )
inline

Gets the NXOpen.Routing.CrossSection that currently defines the profile for the stock.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Returns a null reference (Nothing in Visual Basic) if this object is using stock style Routing.StockStyle.None
unsafe NXOpen.Routing.CharacteristicList NXOpen.Routing.Stock.GetDestinationCharacteristics ( )
inline

Returns the destination characteristics from the input object.

Retrieves the description of which destination characteristics to read from the application view and then reads those destination characteristics from the object

  • Ports: Reads characteristics from the port.
  • RCPs: Attempts to find a port at the RCP, reads characteristics from the port if it exists, otherwise reads from the stock associated with the rcp.
  • Segments: Reads characteristics from the stock associated with the segment.
  • Components: Reads characteristics directly from the component.
  • Stock: Reads characteristics from the stock or from the stock's data.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe NXOpen.Features.Feature [] NXOpen.Routing.Stock.GetFeatures ( )
inline

Returns the sweep features that are created and controlled by this object.

For Stock as Components stock, the features exist in a separate part file. For Legacy Stock the features exist in the same part as the input object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Sweep features.
unsafe NXOpen.Routing.Flip NXOpen.Routing.Stock.GetFlippedStatus ( )
inline

Gets whether or not the profile is flipped.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.Electrical.HarnessDevice NXOpen.Routing.Stock.GetHarnessDevice ( )
inline

For Routing Electrical application only, returns the Routing.Electrical.HarnessDevice that owns the wire or wires that make up a stock bundle.

Will return a null reference (Nothing in Visual Basic) if this stock is not a wire, cable, or shield bundle.

Created in NX11.0.2

License requirements: routing_base ("Routing Basic")

Returns
unsafe int NXOpen.Routing.Stock.GetIntegerCharacteristic ( string  name)
inline

Get the value of an integer characteristic associated with the input name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe NXOpen.Routing.ComponentName NXOpen.Routing.Stock.GetNameStatus ( )
inline

Returns whether or not the component associated with a Stock as Components Stock has a permanent or temporary name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Routing.Stock.GetOriginalLength ( )
inline

Returns the original length for a stock that has been deformed (it's use is Routing.StockUse.Deformed ).

This is the length of the original stock in the component part at the time that the deformed stock was created.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
The original length in units of the original part file.
unsafe void NXOpen.Routing.Stock.GetPorts ( out NXOpen.Routing.StockPort  startPort,
out NXOpen.Routing.StockPort  endPort 
)
inline

Returns the NXOpen.Routing.StockPort at each end of the stock.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startPortPort at the start of the first segment.
endPortPort at the end of the last segment.
unsafe NXOpen.Routing.ProfileFrom NXOpen.Routing.Stock.GetProfileEnd ( )
inline

Gets the end that defines profile.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Routing.Stock.GetRealCharacteristic ( string  name)
inline

Get the value of a real characteristic associated with the input name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe double NXOpen.Routing.Stock.GetRotationAngle ( )
inline

Gets the rotation angle applied to the profile.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
The angle in radians.
unsafe NXOpen.Curve [] NXOpen.Routing.Stock.GetSegments ( )
inline

Gets the segments that the NXOpen.Routing.Stock object is placed on top of.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.StockData NXOpen.Routing.Stock.GetStockData ( )
inline

Gets the NXOpen.Routing.StockData .

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.StockStyle NXOpen.Routing.Stock.GetStockStyle ( )
inline

Gets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock .

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.StockUse NXOpen.Routing.Stock.GetStockUse ( )
inline

Returns the use of the stock.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe string NXOpen.Routing.Stock.GetStringCharacteristic ( string  name)
inline

Get the value of a string characteristic associated with the input name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe double NXOpen.Routing.Stock.GetTwistAngle ( )
inline

Gets the twist angle applied to the profile.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
The angle in radians.
unsafe bool NXOpen.Routing.Stock.IsSpaceReservation ( )
inline

Is this stock a Space Reservation stock?.

Created in NX11.0.2

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.Stock.RemoveSegments ( NXOpen.Curve[]  segments)
inline

Removes segments from this object.

If the segments of this object (after removing the input segments) do not form a single continuous path, the NXOpen.Routing.Stock will split so that there is a copy of this object on each continuous path. This object will delete itself inside of update if all segments are removed.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentsList of segments to remove. Ignores any segments that are not already referenced by this object.
unsafe void NXOpen.Routing.Stock.RenameStockComponent ( string  partName)
inline

Renames the stock component part with given name

Created in NX7.5.4

License requirements: routing_base ("Routing Basic")

Parameters
partNamePart name to be set
unsafe void NXOpen.Routing.Stock.SetAnchor ( NXOpen.Routing.Anchor  anchor)
inline

Sets the NXOpen.Routing.Anchor .

The given object must be one of the NXOpen.Routing.Anchor objects referenced by the NXOpen.Routing.StockData object that defines this NXOpen.Routing.Stock object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
anchorMust be referenced by the NXOpen.Routing.StockData associated with this NXOpen.Routing.Stock object.
unsafe void NXOpen.Routing.Stock.SetCharacteristic ( string  name,
int  value 
)
inline

Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to integer if it's type is not integer.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristic2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
name
value

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristic ( string  name,
double  value 
)
inline

Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to real if it's type is not real.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristic2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
name
value

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristic ( string  name,
string  value 
)
inline

Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to string if it's type is not string.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristic2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
name
value

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristic2 ( string  title,
int  value 
)
inline

Sets or creates an integer type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristic2 ( string  title,
double  value 
)
inline

Sets or creates a double type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristic2 ( string  title,
string  value 
)
inline

Sets or creates a string type type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristics ( NXOpen.Routing.CharacteristicList  values)
inline

Set all of the characteristics values on this object.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristics2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
values

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCharacteristics2 ( NXOpen.Routing.CharacteristicList  values)
inline

Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit part attributes on the stock part. For legacy parts where the attributes are on the stock component, the attributes will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit attributes on the corresponding instance. For legacy parts where the attribute is on the component, the attributes will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create attributes on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
valuesNXOpen.Routing.CharacteristicList having the titles, types and values of Attributes to be set

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Stock.SetCrossSection ( NXOpen.Routing.CrossSection  crossSection)
inline

Sets the NXOpen.Routing.CrossSection .

The given object must be one of the NXOpen.Routing.CrossSection objects referenced by the NXOpen.Routing.StockData object that defines this NXOpen.Routing.Stock object. NXOpen.Routing.Stock.SetStockStyle should be used (when possible) instead of this routine.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
crossSectionMust be referenced by the NXOpen.Routing.StockData associated with this NXOpen.Routing.Stock object.
unsafe void NXOpen.Routing.Stock.SetFlippedStatus ( NXOpen.Routing.Flip  flipped)
inline

Sets whether or not the profile is flipped.

See the user help documentation on Orient Stock for more information.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
flipped
unsafe void NXOpen.Routing.Stock.SetProfileEnd ( NXOpen.Routing.ProfileFrom  profileEnd)
inline

Sets the end that defines profile.

See the user help documentation on Orient Stock for more information.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
profileEnd
unsafe void NXOpen.Routing.Stock.SetRotationAngle ( double  rotationAngle)
inline

Sets the rotation angle applied to the profile.

See the user help documentation on Orient Stock for more information.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
rotationAngleThe angle in radians. Valid values are 0.0 to ( 2 * Pi ).
unsafe void NXOpen.Routing.Stock.SetStockData ( NXOpen.Routing.StockData  stockData)
inline

Sets the NXOpen.Routing.StockData .

After setting the StockData, the caller must also make sure to set the CrossSection and Anchor so that the NXOpen.Routing.Stock object only references objects associated with this NXOpen.Routing.StockData object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
stockData
unsafe void NXOpen.Routing.Stock.SetStockStyle ( NXOpen.Routing.StockStyle  style)
inline

Sets the NXOpen.Routing.StockStyle of the NXOpen.Routing.Stock .

This may cause update to fire, and can be a time-consuming operation as it may require the building of a new sweep feature. When style is set to NXOpen.Routing.StockStyle.None this routine deletes the stock sweep feature. Only call on Legacy Stocks.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
style
unsafe void NXOpen.Routing.Stock.SetTwistAngle ( double  twistAngle)
inline

Sets the twist angle applied to the profile.

See the user help documentation on Orient Stock for more information.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
twistAngleThe angle in radians. Valid values are 0.0 to ( 2 * Pi ).
unsafe void NXOpen.Routing.Stock.SyncComponentAttrs ( bool  isNewPart)
inline

Set the characteristics of the given stock's component so that it has the same characteristics as the NXOpen.Routing.Stock and its stock data.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
isNewPartIs the part new?

Property Documentation

unsafe bool NXOpen.Routing.Stock.NegateOffsetsFlag
getset

Returns or sets the negate offsets flag of this NXOpen.Routing.Stock .

Created in NX5.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.